Subject: Re: bug#59199: [Elisp Manual]; 28.2; "[No value for “VERSION”]" in Introduction

From: Stefan Kangas <[email-masked]>
Date: Fri, 11 Nov 2022 21:42:13 -0800

tags 59199 + patch
thanks

Eli Zaretskii <[email-masked]> writes:

>> From: Rafael Beirigo <[email-masked]>
>> Date: Fri, 11 Nov 2022 15:29:05 -0300
>>
>>
>> This is about the Elisp Manual.  I am not sure this is the right way to
>> report it.
>>
>> On Elisp Manual for Emacs 28.2, last paragraph of `1. Introduction`
>> reads:
>>
>>     This is edition [No value for “VERSION”] of the GNU Emacs Lisp
>>     Reference Manual, corresponding to Emacs version 28.2.
>
> Is this the PDF format or some other format?
>
> Stefan, did you set VERSION when generating the manuals?

No, I followed the instructions in make-tarball.txt, more specifically
the ones starting with this line:

    Next, regenerate the various manuals in HTML, PDF, and PS formats:

AFAIU, from the comment in elisp.texi, VERSION "relates mainly to the
published book sold by the FSF".  It also doesn't seem to make sense to
be talking about the "edition" of a PDF file distributed on our website
(as compared to the printed book).

I believe we could fix this in intro.texi in the same way as we do in
elisp.texi.  See the attached patch.

WDYT?
From 1c9ab3fe34b23830641f5de40bea1f603b7aa204 Mon Sep 17 00:00:00 2001
From: Stefan Kangas <[email-masked]>
Date: Sat, 12 Nov 2022 06:35:21 +0100
Subject: [PATCH] * doc/lispref/intro.texi: Fix PDF output without VERSION. 
 (Bug#59199)

---
 doc/lispref/intro.texi | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/doc/lispref/intro.texi b/doc/lispref/intro.texi
index 975215d697..46411b1968 100644
--- a/doc/lispref/intro.texi
+++ b/doc/lispref/intro.texi
@@ -33,9 +33,9 @@ Introduction
 specifically to editing.
 
   This is
-@iftex
+@ifset VERSION
 edition @value{VERSION} of
-@end iftex
+@end ifset
 the @cite{GNU Emacs Lisp Reference Manual},
 corresponding to Emacs version @value{EMACSVER}.
 
-- 
2.35.1